summaryrefslogtreecommitdiffstats
path: root/network/skype/skype.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/skype/skype.SlackBuild')
-rw-r--r--network/skype/skype.SlackBuild37
1 files changed, 22 insertions, 15 deletions
diff --git a/network/skype/skype.SlackBuild b/network/skype/skype.SlackBuild
index 386ec52a79..289b65f125 100644
--- a/network/skype/skype.SlackBuild
+++ b/network/skype/skype.SlackBuild
@@ -21,47 +21,54 @@
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-# Modified by the SlackBuilds.org project
# Ported from 12.1 repository; now only Skype 2.0 compatible
+# Updated for Skype 2.1.0.81 by mario <mario@slackverse.org>
PRGNAM=skype
-VERSION=2.0.0.72
-ARCH=i486 # leave this alone
+VERSION=2.1.0.81
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# This is a repackage of a binary distribution
-# CFLAGS are not required
+if [ "$ARCH" != "i486" ]; then
+ printf "$ARCH is not supported...\n"
+ exit 1
+fi
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-chmod 644 sounds/*
+chmod 0644 sounds/*
mkdir -p $PKG/usr/bin $PKG/usr/share/{skype,pixmaps,applications} \
$PKG/etc/dbus-1/system.d
cp -a skype $PKG/usr/bin
cp -a avatars sounds lang $PKG/usr/share/skype
-cp skype.desktop $PKG/usr/share/applications/skype.desktop
-cp icons/SkypeBlue_48x48.png $PKG/usr/share/pixmaps/skype.png
-cp skype.conf $PKG/etc/dbus-1/system.d/skype.conf.new
+cat skype.desktop > $PKG/usr/share/applications/skype.desktop
+cat icons/SkypeBlue_48x48.png > $PKG/usr/share/pixmaps/skype.png
+cat skype.conf > $PKG/etc/dbus-1/system.d/skype.conf
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# If we strip it, it segfaults, so lets disable this for now.
+#find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+# | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION